// Minimum width for a window to be considered "small"
// Everything smaller has no variable representing it
$small: 576px;

// Minimum width for a window to be considered "medium"
// Everything smaller is "small"
$medium: 992px;

// Minimum width for a window to be considered "large".
// Everything smaller is "medium"
$large: 1330px;

// Matrix for some generation in helpers
$breakpoints: (
  sm: $small,
  md: $medium,
  lg: $large,
);

// Values to use in the "respond-to" mixin
$media-queries: (
  // Up to "small" breakpoint
  'small': (
    max-width: #{$small - 1},
  ),
  // Up to "medium" breakpoint
  'medium': (
    max-width: #{$medium - 1},
  ),
  // Up to "large" breakpoint
  'large': (
    max-width: #{$large - 1},
  ),
  // Minimum "small" and larger
  'small-up': (
    min-width: #{$small},
  ),
  // Minimum "medium" and larger
  'medium-up': (
    min-width: #{$medium},
  ),
  // Minimum "large" and larger
  'large-up': (
    min-width: #{$large},
  ),
);
